// regular buttons
.btn{
    color: $white;
    border: 1px solid transparent;
    background-color: $primary;
    @include text-normal;
    &.active,
    &:active {
        color: $white;
        background-color: color-level($primary, 4);
    }
    &:hover,
    &:focus {
        color: $white;
        background-color: color-level($primary, 4);
        border-color: color-level($primary, 4);
    }
    &.disabled,
    &:disabled {
        color: $white;
        opacity: 0.7;
        background-color: color-level($primary, 4);
    }
}
.btn-full{
  width: 100%;
}

// mixin
@mixin button-normal($color, $textColor, $hoverColor, $hoverTextColor) {
    color: $textColor;
    // border: 1px solid $color;
    border: 1px solid transparent;
    background-color: $color;
    &.active,
    &:active {
        color: $hoverTextColor;
        background-color: $hoverColor;
    }
    &:hover,
    &:focus {
        color: $hoverTextColor;
        background-color: $hoverColor;
        border-color: $hoverColor;
    }
    &.disabled,
    &:disabled {
        color: $hoverTextColor;
        opacity: 0.7;
        background-color: $hoverColor;
    }
}

// alternative colors
@each $color, $value in $theme-colors {
    .btn{
        @include button-normal($value, $white, color-level($value, 4), $white);
    }

  // .btn-#{""+$color} {
  //   @include button-normal($value, color-level($value, 4));
  // }
 /* @if $value == $white {
    .btn-white {
      // here $value = $white 
      @include button-normal($value, $primary, color-level($value, 2), $primary);
    }
  } @else {
    .btn-#{""+$color} {
      @include button-normal($value, $white, color-level($value, 4), $white);
    }
  }*/
}
.btn-white {
    color: black;
    font-weight: bold;
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid rgba(white, 0.2);
    transition: 0.3s;
    line-height: 1.25;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 2px;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.81);
    &.active,
    &:active {
        background-color: rgba(255, 255, 255, 0.5);
    }
    &:hover,
    &:focus {
        background-color: rgba(255, 255, 255, 0.5);
    }
    &.disabled,
    &:disabled {
        color: white;
        opacity: 0.7;
        background-color: transparent;
    }
}